# *** [ Ansible managed: DO NOT EDIT DIRECTLY ] ***

#---------------------------------------
#-----------------------------
# Settings for script check_cert_for_dovecot.sh
#-----------------------------
#---------------------------------------

# - service_domain
# -
# - The main domain for which the certificate was issued
# -
# - Example:
# -    service_domain="a.mx.oopen.de"
# -    service_domain="mail.cadus.org"
# -    service_domain="mx.warenform.de"
# -
#service_domain=""
service_domain="mail.initiativenserver.de"


# - service_name
# -
# - Name of service.
# -
# - Note: this var will also be used to determin systemd service file
# - or sysVinit script.
# -
# - Example: 
# -    service_name="Mumble"
# -    service_name="Prosody"
# -
# - Defaults to:
# -    service_name="Dovecot"
# -
#service_name=""


# - check_string_ps
# -
# - String wich (clearly) identifies the service at the process list (ps)
# -
# - Example:
# -    check_string_ps="[[:digit:]]\ /usr/sbin/murmurd"
# -    check_string_ps=""
# -
# - Defaults to:
# -    check_string_ps="[[:digit:]]\ /usr/local/dovecot-[[:digit:]]{1,2}\.[[:digit:]]{1,2}\.[[:digit:]]{1,2}(\.[[:digit:]]{1,2})?/sbin/dovecot"
# -
#check_string_ps=""


# - service_user
# -
# - User under which the service is running.
# -
# - Example:
# -    service_user="mumble-server"
# -    service_user="prosody"
# -
# - Defaults to:
# -    service_user="prosody"
# -
#service_user=""


# - service_group
# -
# - Group under which the service is running.
# -
# - Example:
# -    service_group="mumble-server"
# -    service_group="prosody"
# -
# - Defaults to:
# -    service_group="prosody"
# -
#service_group=""


# - cert_installed
# -
# - Locataion of certificate read by service
# -
# - Example:
# -    cert_installed="/var/lib/mumble-server/fullchain.pem"
# -    cert_installed="/var/lib/dehydrated/certs/jabber.so36.net/fullchain.pem"
# -
# - Defaults to:
# -    /etc/dovecot/ssl/mailserver.crt
# -
#cert_installed=""


# - key_installed
# -
# - Location of the key read by service
# -
# - Example:
# -    key_installed="/var/lib/mumble-server/privkey.pem"
# -    key_installed="/etc/prosody/certs/privkey_jabber.so36.pem"
# -
# - Defaults to:
# -    /etc/dovecot/ssl/mailserver.key
# -
#key_installed=""


# - cert_newest
# -
# - Location of the newest certificate.
# -
# - Example:
# -    cert_newest="/var/lib/dehydrated/certs/il-mumble.oopen.de/fullchain.pem"
# -    cert_newest="/var/lib/dehydrated/certs/jabber.so36.net/fullchain.pem"
# -
# - Defaults to: 
# -    /var/lib/dehydrated/certs/${service_domain}/fullchain.pem
# -
#cert_newest=""


# - key_newest
# -
# - Location of the newest Key
# -
# - Example:
# -    key_newest="/var/lib/dehydrated/certs/il-mumble.oopen.de/privkey.pem"
# -    key_newest="/var/lib/dehydrated/certs/jabber.so36.net/privkey.pem"
# -
# - Defaults to:
# -    /var/lib/dehydrated/certs/${service_domain}/privkey.pem
# -
#key_newest=""

